import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './ActionBarAction.styles';
export interface ActionBarActionProps extends WithStyles<typeof styles> {
    icon: React.ReactNode;
    label?: React.ReactNode;
    selected?: boolean;
    disabled?: boolean;
    subAction?: boolean;
    onClick?: (event: React.MouseEvent<HTMLButtonElement>) => void;
}
export declare const ActionBarAction: React.FC<ActionBarActionProps>;
declare const _default: React.ComponentType<Pick<ActionBarActionProps & React.RefAttributes<unknown>, "disabled" | "selected" | "icon" | "label" | "onClick" | keyof React.RefAttributes<unknown> | "subAction"> & import("@material-ui/core").StyledComponentProps<"disabled" | "root" | "label" | "labelSelected" | "subActionLabel">>;
export default _default;
