import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import ButtonBase from '@material-ui/core/ButtonBase';
import cn from 'classnames';
import * as React from 'react';
import withStyles from '../withStyles';
import styles from './ActionBarAction.styles';
export const ActionBarAction = ({ classes, icon, label, selected, disabled, subAction, onClick }, ref) => {
    const labelEl = (_jsx("span", Object.assign({ className: cn(classes.label, subAction && classes.subActionLabel, selected && classes.labelSelected) }, { children: label }), void 0));
    return (_jsxs(ButtonBase, Object.assign({ ref: ref, disableRipple: true, className: cn(classes.root, disabled && classes.disabled), disabled: disabled, onClick: onClick }, { children: [subAction && label && labelEl, icon, !subAction && label && labelEl] }), void 0));
};
// @ts-ignore
export default withStyles(styles)(React.forwardRef(ActionBarAction));
//# sourceMappingURL=ActionBarAction.js.map