import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './ActionBarInput.styles';
export interface ActionBarInputProps extends WithStyles<typeof styles> {
    icon?: React.ReactNode;
    label?: string;
    value?: string;
    type?: string;
    disabled?: boolean;
    maxWidth?: string | number;
    onClick?: (event: React.MouseEvent<HTMLInputElement>) => void;
    onChange?: (value: string) => void;
    onBlur?: (event: React.FocusEvent<HTMLInputElement>) => void;
}
export declare const ActionBarInput: React.FC<ActionBarInputProps>;
declare const _default: React.ComponentType<Pick<ActionBarInputProps & {
    children?: React.ReactNode;
}, "disabled" | "maxWidth" | "icon" | "children" | "label" | "onBlur" | "onChange" | "onClick" | "type" | "value"> & import("@material-ui/core").StyledComponentProps<"underline" | "root" | "input">>;
export default _default;
