import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './ActionBarSelect.styles';
export interface ActionBarSelectProps extends WithStyles<typeof styles> {
    icon: React.ReactNode;
    label?: string;
    disabled?: boolean;
    open?: boolean;
    onOpen?: (open: boolean) => void;
}
export declare const ActionBarSelect: React.FC<ActionBarSelectProps>;
declare const _default: React.ComponentType<Pick<ActionBarSelectProps & {
    children?: React.ReactNode;
}, "disabled" | "open" | "icon" | "children" | "label" | "onOpen"> & import("@material-ui/core").StyledComponentProps<"paper" | "dropdown" | "menuList">>;
export default _default;
