import { jsx as _jsx } from "react/jsx-runtime";
import MenuItem from '@material-ui/core/MenuItem';
import withStyles from '../withStyles';
import ActionBarAction from './ActionBarAction';
import styles from './ActionBarSelectOption.styles';
export const ActionBarSelectOption = ({ classes, icon, label, selected, disabled, onClick, }) => {
    return (_jsx(MenuItem, Object.assign({ disabled: disabled, onClick: onClick, selected: selected, classes: {
            root: classes.root,
            selected: classes.selected,
        } }, { children: _jsx(ActionBarAction, { icon: icon, label: label, disabled: disabled, selected: selected }, void 0) }), void 0));
};
export default withStyles(styles)(ActionBarSelectOption);
//# sourceMappingURL=ActionBarSelectOption.js.map