import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './ActionBarTitle.styles';
export interface ActionBarTitleProps extends WithStyles<typeof styles> {
    /** The title of the title bar */
    title: React.ReactNode;
    /** Optional subtitle of the title bar */
    subtitle?: string;
}
export declare const ActionBarTitle: React.FC<ActionBarTitleProps>;
declare const _default: React.ComponentType<Pick<ActionBarTitleProps & {
    children?: React.ReactNode;
}, "children" | "title" | "subtitle"> & import("@material-ui/core").StyledComponentProps<"title" | "actionBarTitle" | "subtitle">>;
export default _default;
