import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import withStyles from '../../core/withStyles';
import Heading1 from '../../typography/Heading1';
import Text from '../../typography/Text';
import styles from './ActionBarTitle.styles';
export const ActionBarTitle = ({ classes, title, subtitle, }) => (_jsxs("span", Object.assign({ className: classes.actionBarTitle }, { children: [_jsx(Heading1, { children: _jsx("span", Object.assign({ className: classes.title }, { children: title }), void 0) }, void 0), subtitle && (_jsx("span", Object.assign({ className: classes.subtitle }, { children: _jsx(Text, Object.assign({ muted: true }, { children: subtitle }), void 0) }), void 0))] }), void 0));
export default withStyles(styles)(ActionBarTitle);
//# sourceMappingURL=ActionBarTitle.js.map