import * as React from 'react';
export interface ActionBarActionProps {
    className?: string;
    color?: 'default' | 'success' | 'primary' | 'error' | 'primaryText';
    variant?: 'default' | 'vertical';
    icon?: React.ReactNode;
    label?: React.ReactNode;
    fullWidth?: boolean;
    selected?: boolean;
    disabled?: boolean;
    onClick?: (event: React.MouseEvent<HTMLButtonElement>) => void;
}
export declare const ActionBarAction: React.FC<ActionBarActionProps>;
declare const _default: React.ForwardRefExoticComponent<ActionBarActionProps & React.RefAttributes<unknown>>;
export default _default;
