import * as React from 'react';
export interface ActionBarInputProps {
    className?: string;
    icon?: React.ReactNode;
    label?: string;
    value?: string;
    type?: string;
    disabled?: boolean;
    maxWidth?: string | number;
    autoFocus?: boolean;
    onClick?: (event: React.MouseEvent<HTMLInputElement>) => void;
    onChange?: (value: string) => void;
    onBlur?: (event: React.FocusEvent<HTMLInputElement>) => void;
}
export declare const ActionBarInput: React.FunctionComponent<ActionBarInputProps>;
export default ActionBarInput;
