import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './AlertIcon.styles';
export interface AlertIconProps extends WithStyles<typeof styles> {
    className?: string;
    color?: 'default' | 'error' | 'warning';
}
export declare const AlertIcon: React.FC<AlertIconProps>;
declare const _default: React.ComponentType<Pick<AlertIconProps & {
    children?: React.ReactNode;
}, "color" | "className" | "children"> & import("@material-ui/core").StyledComponentProps<"default" | "icon" | "error" | "warning">>;
export default _default;
