import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import withStyles from '../withStyles';
import styles from './BreadcrumbCrumb.styles';
export const BreadcrumbCrumb = ({ label, noShrink = false, onClick, classes, children, }) => (_jsx("button", Object.assign({ className: cn(classes.root, noShrink && classes.noShrink), onClick: onClick }, { children: label || children }), void 0));
export default withStyles(styles)(BreadcrumbCrumb);
//# sourceMappingURL=BreadcrumbCrumb.js.map