import { jsx as _jsx } from "react/jsx-runtime";
import { disabledArgTypes, iconArgType, } from '../../helpers/storybookConstants';
import ButtonDefault, { Button } from './Button';
export default {
    title: 'Components/Button',
    component: Button,
    argTypes: Object.assign(Object.assign({}, iconArgType), disabledArgTypes),
};
const Template = (args) => (_jsx(ButtonDefault, Object.assign({}, args), void 0));
export const Default = Template.bind({});
Default.args = {
    label: 'Publish',
};
export const FullWidth = Template.bind({});
FullWidth.args = Object.assign(Object.assign({}, Default.args), { fullWidth: true });
export const HideBorder = Template.bind({});
HideBorder.args = Object.assign(Object.assign({}, Default.args), { hideBorder: true });
export const Primary = Template.bind({});
Primary.args = Object.assign(Object.assign({}, Default.args), { color: 'primary' });
export const Progress = Template.bind({});
Progress.args = Object.assign(Object.assign({}, Default.args), { color: 'progress' });
export const Destructive = Template.bind({});
Destructive.args = Object.assign(Object.assign({}, Default.args), { color: 'destructive' });
export const Light = Template.bind({});
Light.args = Object.assign(Object.assign({}, Default.args), { color: 'light' });
export const Disabled = Template.bind({});
Disabled.args = Object.assign(Object.assign({}, Default.args), { disabled: true });
export const IconAndText = Template.bind({});
IconAndText.storyName = 'Icon & Text';
IconAndText.args = Object.assign(Object.assign({}, Default.args), { icon: 'publish' });
export const IconOnly = Template.bind({});
IconOnly.args = {
    icon: 'publish',
};
//# sourceMappingURL=Button.stories.js.map