import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { disabledArgTypes } from '../../helpers/storybookConstants';
import Button from '../Button';
import Divider from '../Divider';
import CardDefault, { Card } from './Card';
export default {
    title: 'Components/Card',
    component: Card,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => (_jsxs(CardDefault, Object.assign({}, args, { children: [_jsx(CardDefault.Content, { children: "This is a CardDefault.Content element" }, void 0), _jsx(CardDefault.Content, { children: "This is another CardDefault.Content element" }, void 0), _jsx(Divider, {}, void 0), _jsx(CardDefault.Content, { children: "After a Divider" }, void 0), _jsxs(CardDefault.Actions, { children: [_jsx(Button, { children: "Cancel" }, void 0), _jsx(Button, Object.assign({ color: "destructive" }, { children: "Delete" }), void 0), _jsx(Button, Object.assign({ color: "progress" }, { children: "Save" }), void 0)] }, void 0)] }), void 0));
export const Default = Template.bind({});
Default.args = {};
export const Raised = Template.bind({});
Raised.args = {
    raised: true,
};
//# sourceMappingURL=Card.stories.js.map