import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './CircularProgress.styles';
export interface CircularProgressProps extends WithStyles<typeof styles> {
    value?: number;
    min?: number;
    max?: number;
    size?: number;
    color?: 'default' | 'light' | 'inherit' | 'primary' | 'error' | 'success' | 'muted';
    className?: string;
}
export declare const CircularProgress: React.FC<CircularProgressProps>;
declare const _default: React.ComponentType<Pick<CircularProgressProps & {
    children?: React.ReactNode;
}, "color" | "size" | "className" | "children" | "max" | "min" | "value"> & import("@material-ui/core").StyledComponentProps<"inherit" | "primary" | "default" | "light" | "error" | "success" | "muted">>;
export default _default;
