import * as React from 'react';
declare type OnChangeCallback = (value: string) => void;
export interface CollapsableSelectFieldProps {
    className?: string;
    value: string;
    onChange: OnChangeCallback;
    disabled?: boolean;
}
declare type OnChangeMultipleCallback = (value: string[]) => void;
export interface CollapsableSelectFieldMultipleProps {
    className?: string;
    value: string[];
    onChange: OnChangeMultipleCallback;
    disabled?: boolean;
}
export declare const CollapsableSelectField: React.FC<CollapsableSelectFieldProps | CollapsableSelectFieldMultipleProps>;
declare const _default: React.FC<CollapsableSelectFieldProps | CollapsableSelectFieldMultipleProps> & {
    Option: React.FunctionComponent<import("./CollapsableSelectFieldOption").CollapsableSelectFieldOptionProps>;
};
export default _default;
