/// <reference types="react" />
export interface FontUploaderProps {
    state: 'loading' | 'success' | 'idle' | 'error';
    value: FileList;
    onUpload: () => void;
    label: string;
    onChange: (value: FileList) => void;
    onError: (value: string) => void;
    onDelete: (index: number) => void;
}
declare const FontUploader: ({ state, value, label, onChange, onUpload, onError, onDelete, }: FontUploaderProps) => JSX.Element;
export default FontUploader;
