import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './Icon.styles';
import paths from './paths';
export declare type IconOptions = keyof typeof paths;
export interface IconProps extends WithStyles<typeof styles> {
    /** Icon name */
    icon: IconOptions;
    /** Icon title */
    title?: string;
    /** Additional classname */
    className?: string;
}
export declare const Icon: React.FC<IconProps>;
declare const _default: React.ComponentType<Pick<IconProps & {
    children?: React.ReactNode;
}, "icon" | "className" | "children" | "title"> & import("@material-ui/core").StyledComponentProps<"icon">>;
export default _default;
