import { jsx as _jsx } from "react/jsx-runtime";
import { disabledArgTypes } from '../../helpers/storybookConstants';
import LinkDefault, { Link } from './Link';
export default {
    title: 'Components/Link',
    component: Link,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => (_jsx(LinkDefault, Object.assign({}, args), void 0));
export const Default = Template.bind({});
Default.args = {
    children: 'Here is a link',
};
export const Underlined = Template.bind({});
Underlined.args = {
    children: 'Here is an underlined link',
    underline: true,
};
export const Disabled = Template.bind({});
Disabled.args = {
    disabled: true,
    children: 'Here is a disabled link',
};
//# sourceMappingURL=Link.stories.js.map