import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './MenuLogo.styles';
declare type RenderFn = (props: {
    className: string;
    Logo: React.ReactElement<any>;
}) => React.ReactElement<any>;
export interface MenuLogoProps extends WithStyles<typeof styles> {
    square?: boolean;
    href?: string;
    width?: string | number;
    onClick?: () => any;
    children?: React.ReactNode | RenderFn;
}
export declare const MenuLogo: React.FC<MenuLogoProps>;
declare const _default: React.ComponentType<Pick<MenuLogoProps & {
    children?: React.ReactNode;
}, "width" | "square" | "children" | "onClick" | "href"> & import("@material-ui/core").StyledComponentProps<"root">>;
export default _default;
