import * as React from 'react';
import { AppContextProps } from '../App';
import { WithStyles } from '../withStyles';
import styles from './Modal.styles';
interface ModalProps {
    /** Opens the modal when true */
    open: boolean;
    /** Called when the user clicks the overlay  */
    onOverlayClick?: () => any;
    testId?: string;
}
export declare class Modal extends React.Component<ModalProps & AppContextProps & WithStyles<typeof styles>, {}> {
    el: HTMLDivElement | null;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactPortal | null;
}
declare const ModalRoot: React.FC<ModalProps>;
export default ModalRoot;
