import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './MultiSelectFieldOption.styles';
import { SelectionOption } from '../../application/ApplicationTypes';
export interface MultiSelectFieldOptionProps extends WithStyles<typeof styles> {
    value: string;
    label: string;
    rightLabel?: string;
    selectable?: boolean;
    disabled?: boolean;
    checked?: boolean;
    selected?: boolean;
    onClick?: () => void;
    onSelect?: (option: SelectionOption) => void;
}
declare const _default: React.ComponentType<Pick<MultiSelectFieldOptionProps & {
    children?: React.ReactNode;
}, "disabled" | "selected" | "children" | "label" | "onClick" | "onSelect" | "value" | "checked" | "rightLabel" | "selectable"> & import("@material-ui/core").StyledComponentProps<"disabled" | "selected" | "root" | "label" | "checkboxLabel" | "labelButton" | "leftLabel" | "rightLabel">>;
export default _default;
