import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import withStyles, { createStyles } from '../withStyles';
const styles = () => createStyles({
    root: {
        position: 'relative',
        display: 'inline-flex',
    },
    fullWidth: {
        display: 'block',
    },
});
const Anchor = ({ children, classes, fullWidth }) => (_jsx("span", Object.assign({ className: cn(classes.root, fullWidth && classes.fullWidth) }, { children: children }), void 0));
export default withStyles(styles)(Anchor);
//# sourceMappingURL=Anchor.js.map