import { jsx as _jsx } from "react/jsx-runtime";
import withStyles, { createStyles } from '../withStyles';
const styles = (theme) => createStyles({
    root: {
        flexShrink: 0,
        backgroundColor: theme.palette.background.default,
        padding: theme.spacing(2),
        minHeight: 56,
        display: 'flex',
        alignItems: 'center',
        borderBottom: `1px solid ${theme.palette.action.selected}`,
    },
});
const Header = (props) => {
    const { children, classes } = props;
    return _jsx("div", Object.assign({ className: classes.root }, { children: children }), void 0);
};
export default withStyles(styles)(Header);
//# sourceMappingURL=Header.js.map