import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { action } from '@storybook/addon-actions';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import RadioGroupDefault, { RadioGroup } from './RadioGroup';
export default {
    title: 'Components/RadioGroup',
    component: RadioGroup,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = useState(args.value);
    useEffect(() => {
        setValue(args.value);
    }, [args.value]);
    const handleOnChange = (value) => {
        action('onChange')(value);
        setValue(value);
    };
    return (_jsxs(RadioGroupDefault, Object.assign({}, args, { value: value, onChange: handleOnChange, testId: "radio-group" }, { children: [_jsx(RadioGroupDefault.Option, { value: "yes", label: "Yes" }, void 0), _jsx(RadioGroupDefault.Option, { value: "no", label: "No" }, void 0)] }), void 0));
};
export const Default = Template.bind({});
Default.args = {};
export const Inline = Template.bind({});
Inline.args = {
    inline: true,
};
//# sourceMappingURL=RadioGroup.stories.js.map