import * as React from 'react';
import { Theme } from '../../theme';
import { WithStyles } from '../withStyles';
export interface OptionProps extends WithStyles<typeof styles> {
    value: string;
    label: string;
    checked?: boolean;
    inputRef?: React.Ref<any>;
    onChange?: (event: React.ChangeEvent<{}>, checked: boolean) => void;
    testId?: string;
}
export declare const Option: React.FC<OptionProps>;
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "label">;
declare const _default: React.ComponentType<Pick<OptionProps & {
    children?: React.ReactNode;
}, "children" | "label" | "onChange" | "value" | "checked" | "testId" | "inputRef"> & import("@material-ui/core").StyledComponentProps<"label">>;
export default _default;
