import { jsx as _jsx } from "react/jsx-runtime";
import MUIFormControlLabel from '@material-ui/core/FormControlLabel';
import withStyles, { createStyles } from '../withStyles';
import RadioGroupRadio from './RadioGroupRadio';
export const Option = ({ value, label, checked, inputRef, onChange, classes, testId, }) => (_jsx(MUIFormControlLabel, { value: value, label: label, checked: checked, inputRef: inputRef, control: _jsx(RadioGroupRadio, { testId: testId }, void 0), onChange: onChange, classes: {
        label: classes.label,
    } }, void 0));
const styles = (theme) => createStyles({
    label: {
        fontSize: theme.fontSizes.md,
    },
});
export default withStyles(styles)(Option);
//# sourceMappingURL=RadioGroupOption.js.map