var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import MUIRadio from '@material-ui/core/Radio';
import { testAttr } from '../../helpers';
import withStyles, { createStyles } from '../withStyles';
export const Radio = (_a) => {
    var { testId, classes } = _a, props = __rest(_a, ["testId", "classes"]);
    return (_jsx(MUIRadio, Object.assign({}, props, { color: "primary", classes: { root: classes.root, colorPrimary: classes.colorPrimary }, inputProps: Object.assign({}, testAttr(testId)) }), void 0));
};
const styles = (theme) => createStyles({
    root: {
        paddingTop: theme.spacing(0.5),
        paddingRight: theme.spacing(1),
        paddingBottom: theme.spacing(0.5),
        paddingLeft: theme.spacing(2),
    },
    colorPrimary: {
        color: theme.palette.text.secondary,
        '&$checked': {
            color: theme.palette.primary.main,
        },
        '&$disabled': {
            color: theme.palette.primary.main,
            opacity: 0,
        },
    },
});
export default withStyles(styles)(Radio);
//# sourceMappingURL=RadioGroupRadio.js.map