import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './SVGIcon.styles';
export declare type SVGIconOptions = 'wifiFull' | 'wifiHigh' | 'wifiMedium' | 'wifiLow' | 'wifiNone' | 'ethernet';
export interface SVGIconProps extends WithStyles<typeof styles> {
    icon: SVGIconOptions;
    className?: string;
}
export declare const SVGIcon: React.FC<SVGIconProps>;
declare const _default: React.ComponentType<Pick<SVGIconProps & {
    children?: React.ReactNode;
}, "icon" | "className" | "children"> & import("@material-ui/core").StyledComponentProps<"icon">>;
export default _default;
