import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import { preventDefault, testAttr } from '../../helpers';
import Icon from '../Icon';
import withStyles from '../withStyles';
import styles from './TabItem.styles';
export const Tab = ({ label, icon, href, active, shrink, onClick, testId, classes, }) => {
    const TabElement = (href ? 'a' : 'button');
    return (_jsxs(TabElement, Object.assign({ className: cn(classes.root, active && classes.active, shrink && classes.shrink), href: href, onClick: onClick && preventDefault(onClick) }, testAttr(testId), { children: [icon && _jsx(Icon, { icon: icon, className: classes.icon }, void 0), _jsx("span", Object.assign({ className: cn(classes.label, !icon && classes.labelNoIcon) }, { children: label }), void 0)] }), void 0));
};
export default withStyles(styles)(Tab);
//# sourceMappingURL=TabItem.js.map