import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import withThemeSelector from '../../core/withThemeSelector';
import withStyles from '../withStyles';
import TabItem from './TabItem';
import styles from './Tabs.styles';
export const Tabs = ({ children, classes, inline, }) => (_jsx("div", Object.assign({ className: cn(classes.root, inline && classes.inline) }, { children: children }), void 0));
export default Object.assign(withThemeSelector(withStyles(styles)(Tabs)), {
    Item: TabItem,
});
//# sourceMappingURL=Tabs.js.map