import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import TabsDefault, { Tabs } from './Tabs';
export default {
    title: 'Components/Tabs',
    component: Tabs,
    argTypes: Object.assign({}, disabledArgTypes),
};
export const Default = (args) => {
    const [selected, setSelected] = useState(1);
    return (_jsxs(TabsDefault, Object.assign({}, args, { children: [_jsx(TabsDefault.Item, { label: "Tab 1", active: selected === 1, onClick: () => setSelected(1) }, void 0), _jsx(TabsDefault.Item, { label: "Tab 2", active: selected === 2, onClick: () => setSelected(2) }, void 0), _jsx(TabsDefault.Item, { label: "Tab 3", active: selected === 3, onClick: () => setSelected(3) }, void 0)] }), void 0));
};
export const WithIcon = (args) => {
    const [selected, setSelected] = useState(1);
    return (_jsxs(TabsDefault, Object.assign({}, args, { children: [_jsx(TabsDefault.Item, { icon: "defaultContent", label: "Default Content", active: selected === 1, onClick: () => setSelected(1) }, void 0), _jsx(TabsDefault.Item, { icon: "scheduledContent", label: "Scheduled Content", active: selected === 2, onClick: () => setSelected(2) }, void 0), _jsx(TabsDefault.Item, { icon: "screenSettings", label: "Screen Settings", active: selected === 3, onClick: () => setSelected(3) }, void 0)] }), void 0));
};
export const Shrink = (args) => {
    const [selected, setSelected] = useState(1);
    return (_jsxs(TabsDefault, Object.assign({}, args, { children: [_jsx(TabsDefault.Item, { shrink: true, icon: "horizontalScreen", label: "Horizontal", active: selected === 1, onClick: () => setSelected(1) }, void 0), _jsx(TabsDefault.Item, { shrink: true, icon: "verticalScreen", label: "Vertical", active: selected === 2, onClick: () => setSelected(2) }, void 0)] }), void 0));
};
//# sourceMappingURL=Tabs.stories.js.map