import * as React from 'react';
import { Theme } from '../theme';
interface AllThemes {
    light: Theme;
    lightGrey: Theme;
    grey: Theme;
    dark: Theme;
}
interface ThemeProviderProps {
    theme: AllThemes;
}
export declare const ThemeContext: React.Context<ThemeProviderProps | null>;
declare const ThemeProvider: React.FC<ThemeProviderProps>;
export default ThemeProvider;
