import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
import { AddDeviceProps } from '../AddDevice';
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "root">;
interface AddDevicePopoverProps extends AddDeviceProps, WithStyles<typeof styles> {
    open?: boolean;
    onClose: () => void;
    headingText: string;
    testId?: string;
    hideAudioOnly?: boolean;
}
export declare const AddDevicePopover: React.FC<AddDevicePopoverProps>;
declare const _default: React.ComponentType<Pick<AddDevicePopoverProps & {
    children?: React.ReactNode;
}, "open" | "error" | "children" | "loading" | "testId" | "onClose" | "headingText" | "onRegister" | "hideAudioOnly"> & import("@material-ui/core").StyledComponentProps<"root">>;
export default _default;
