import { jsx as _jsx } from "react/jsx-runtime";
import withStyles, { createStyles } from '../../core/withStyles';
import withThemeSelector from '../../core/withThemeSelector';
import DeviceListAudioDevice from './DeviceListAudioDevice';
import DeviceListDevice from './DeviceListDevice';
const styles = (theme) => createStyles({
    root: {
        [theme.breakpoints.up('sm')]: {
            padding: theme.spacing(2),
        },
    },
});
export const DeviceList = ({ classes, children, }) => _jsx("span", Object.assign({ className: classes.root }, { children: children }), void 0);
export default Object.assign(withThemeSelector(withStyles(styles)(DeviceList)), {
    Device: DeviceListDevice,
    AudioDevice: DeviceListAudioDevice,
});
//# sourceMappingURL=DeviceList.js.map