import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import * as D from '../DeviceTypes';
import styles from './DeviceListDevice.styles';
export interface DeviceListAudioDeviceProps extends WithStyles<typeof styles> {
    device: D.Device;
    signalStrength?: number;
    isOnline?: boolean;
    isEthernet?: boolean;
    isLTE?: boolean;
    onConnectivityWizard?: () => void;
    onSettings?: () => void;
    onClick?: () => void;
}
declare const _default: React.ComponentType<Pick<DeviceListAudioDeviceProps & {
    children?: React.ReactNode;
}, "children" | "onClick" | "signalStrength" | "isEthernet" | "isLTE" | "device" | "isOnline" | "onConnectivityWizard" | "onSettings"> & import("@material-ui/core").StyledComponentProps<"root" | "name" | "thumbnail" | "deviceInfo" | "deviceActions">>;
export default _default;
