import { jsx as _jsx } from "react/jsx-runtime";
import MUIInputLabel from '@material-ui/core/InputLabel';
import withStyles from '../../core/withStyles';
import styles from './InputLabel.styles';
const InputLabel = ({ disabled = false, error = false, children, classes, shrink, }) => (_jsx(MUIInputLabel, Object.assign({ disabled: disabled, error: error, classes: {
        root: classes.root,
        shrink: classes.shrink,
        focused: classes.focused,
        error: classes.error,
        disabled: classes.disabled,
    }, shrink: shrink }, { children: children }), void 0));
export default withStyles(styles)(InputLabel);
//# sourceMappingURL=InputLabel.js.map