import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import ScrollContext from './ScrollContext';
const withScrollConsumer = (Component) => class extends React.Component {
    render() {
        return (_jsx(ScrollContext.Consumer, { children: ({ scrollTop, scrollLeft, offsetHeight, offsetWidth }) => (_jsx(Component, Object.assign({ scrollTop: scrollTop, scrollLeft: scrollLeft, offsetHeight: offsetHeight, offsetWidth: offsetWidth }, this.props), void 0)) }, void 0));
    }
};
export default withScrollConsumer;
//# sourceMappingURL=withScrollConsumer.js.map