import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './Typography.styles';
export interface TypographyProps {
    className?: string;
    tag?: string;
    center?: boolean;
    ellipsis?: boolean;
    muted?: boolean;
    nowrap?: boolean;
    xxsmall?: boolean;
    xsmall?: boolean;
    small?: boolean;
    medium?: boolean;
    large?: boolean;
    xlarge?: boolean;
    xxlarge?: boolean;
    xxxlarge?: boolean;
    strikethrough?: boolean;
    bold?: boolean;
}
export declare const Typography: React.FunctionComponent<TypographyProps & WithStyles<typeof styles>>;
declare const _default: React.ComponentType<Pick<TypographyProps & {
    classes: import("@material-ui/styles").ClassNameMap<"bold" | "large" | "medium" | "small" | "center" | "ellipsis" | "nowrap" | "root" | "muted" | "xxsmall" | "xsmall" | "xlarge" | "xxlarge" | "xxxlarge" | "strikethrough">;
} & {
    children?: React.ReactNode;
}, "children" | keyof TypographyProps> & import("@material-ui/core").StyledComponentProps<"bold" | "large" | "medium" | "small" | "center" | "ellipsis" | "nowrap" | "root" | "muted" | "xxsmall" | "xsmall" | "xlarge" | "xxlarge" | "xxxlarge" | "strikethrough">>;
export default _default;
