import cn from 'classnames';
import * as React from 'react';
import withStyles from '../../core/withStyles';
import styles from './Typography.styles';
export const Typography = ({ center, ellipsis, muted, nowrap, xxsmall, xsmall, small, medium, large, xlarge, xxlarge, xxxlarge, strikethrough, children, classes, className, bold, tag = 'span', }) => React.createElement(tag, {
    className: cn(classes.root, center && classes.center, ellipsis && classes.ellipsis, muted && classes.muted, nowrap && classes.nowrap, xxsmall && classes.xxsmall, xsmall && classes.xsmall, small && classes.small, medium && classes.medium, large && classes.large, xlarge && classes.xlarge, xxlarge && classes.xxlarge, xxxlarge && classes.xxxlarge, strikethrough && classes.strikethrough, bold && classes.bold, className),
}, children);
export default withStyles(styles)(Typography);
//# sourceMappingURL=Typography.js.map