import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './Column.styles';
interface ColumnProps extends WithStyles<typeof styles> {
    /** Additional class name(s) */
    className?: string;
    /** Set to true to display inline */
    inline?: boolean;
    doubleMargin?: boolean;
    flex?: number;
    onClick?: React.MouseEventHandler;
}
export declare const Column: React.FC<ColumnProps>;
declare const _default: React.ComponentType<Pick<ColumnProps & React.RefAttributes<unknown>, "flex" | "inline" | "className" | "onClick" | "doubleMargin" | keyof React.RefAttributes<unknown>> & import("@material-ui/core").StyledComponentProps<"inline" | "root" | "clickable" | "doubleMargin">>;
export default _default;
