import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './OneThirdLayout.styles';
interface OneThirdLayoutProps extends WithStyles<typeof styles> {
    className?: string;
    collapseMode?: 'collapseLargeColumn' | 'collapseSmallColumn';
}
export declare const OneThirdLayout: React.FC<OneThirdLayoutProps>;
declare const _default: React.ComponentType<Pick<OneThirdLayoutProps & {
    children?: React.ReactNode;
}, "className" | "children" | "collapseMode"> & import("@material-ui/core").StyledComponentProps<"root">> & {
    ColumnSmall: React.ComponentType<Pick<import("./OneThirdLayoutColumnSmall").OneThirdLayoutColumnSmallProps & {
        children?: React.ReactNode;
    }, "className" | "children" | "showBorder"> & import("@material-ui/core").StyledComponentProps<"border" | "root">>;
    ColumnLarge: React.ComponentType<Pick<import("./OneThirdLayoutColumnLarge").OneThirdLayoutColumnLargeProps & {
        children?: React.ReactNode;
    }, "className" | "children"> & import("@material-ui/core").StyledComponentProps<"root">>;
};
export default _default;
