import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './Row.styles';
export interface RowProps extends WithStyles<typeof styles> {
    /** Additional class name(s) */
    className?: string;
    /** Set to true to display inline */
    inline?: boolean;
    center?: boolean;
    halfMargin?: boolean;
    doubleMargin?: boolean;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
}
export declare const Row: React.FC<RowProps>;
declare const _default: React.ComponentType<Pick<RowProps & React.RefAttributes<unknown>, "center" | "inline" | "className" | "onClick" | "halfMargin" | "doubleMargin" | keyof React.RefAttributes<unknown>> & import("@material-ui/core").StyledComponentProps<"center" | "inline" | "root" | "clickable" | "halfMargin" | "doubleMargin">>;
export default _default;
