import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "bottom" | "top" | "root" | "slideIn">;
export interface ScrollableShadowProps extends WithStyles<typeof styles> {
    scrollRef: React.RefObject<HTMLElement>;
    position: 'top' | 'bottom';
    className?: string;
}
export declare const ScrollableShadow: React.FunctionComponent<ScrollableShadowProps>;
declare const _default: React.ComponentType<Pick<ScrollableShadowProps & {
    children?: React.ReactNode;
}, "position" | "className" | "children" | "scrollRef"> & import("@material-ui/core").StyledComponentProps<"bottom" | "top" | "root" | "slideIn">>;
export default _default;
