import * as React from 'react';
export interface VisibilityContainerOptions {
    buffer?: number;
}
declare const useVisibilityContainer: (opts?: VisibilityContainerOptions) => {
    containerRef: React.RefObject<HTMLDivElement>;
    addRefToVisibilbityMap: (ref: React.RefObject<HTMLDivElement>, listener: (isVisible: boolean) => void) => void;
    removeRefFromVisibilbityMap: (ref: React.RefObject<HTMLDivElement>) => void;
};
export default useVisibilityContainer;
