import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { PlaylistThumbnailProps } from '../PlaylistThumbnail';
import * as PL from '../PlaylistTypes';
import styles from './PlaylistCard.styles';
interface PlaylistCardProps extends WithStyles<typeof styles>, PlaylistThumbnailProps {
    playlist: PL.Playlist;
    noShrink?: boolean;
}
export declare const PlaylistCard: React.FC<PlaylistCardProps>;
declare const _default: React.ComponentType<Pick<PlaylistCardProps & React.RefAttributes<unknown>, "selected" | "onClick" | "onSelect" | "testId" | keyof React.RefAttributes<unknown> | "noShrink" | "isLocked" | "onEdit" | "showControls" | "playlist"> & import("@material-ui/core").StyledComponentProps<"root" | "name" | "thumbnail" | "noShrink">>;
export default _default;
