import { createStyles } from '../../core/withStyles';
import { textTruncate } from '../../mixins';
const styles = (theme) => createStyles({
    root: {
        width: theme.spacing(18),
        [theme.breakpoints.up('sm')]: {
            width: theme.spacing(24),
        },
    },
    noShrink: {
        width: theme.spacing(24),
    },
    thumbnail: {
        boxShadow: theme.shadows[3],
    },
    name: Object.assign({ marginTop: theme.spacing(1), fontSize: theme.fontSizes.sm, textAlign: 'center' }, textTruncate()),
});
export default styles;
//# sourceMappingURL=PlaylistCard.styles.js.map