import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import Icon from '../../../../core/Icon';
import withStyles from '../../../../core/withStyles';
import styles from './AddButton.styles';
const AddButton = ({ classes, label, disabled, onClick, }) => (_jsxs("button", Object.assign({ className: cn(classes.root, disabled && classes.disabled), onClick: onClick, disabled: disabled }, { children: [_jsx(Icon, { icon: "add" }, void 0), label] }), void 0));
export default withStyles(styles)(AddButton);
//# sourceMappingURL=AddButton.js.map