import * as React from 'react';
import * as A from '../../../../application/ApplicationTypes';
import * as P from '../../../PresentationTypes';
declare const _default: React.ComponentType<Pick<{
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    label: string;
    path: P.Path;
    classes: import("@material-ui/styles").ClassNameMap<"clip" | "contents" | "root" | "contentsOut">;
    onChange: (value: P.ApplicationVariables[]) => any;
    value: P.ApplicationVariables[];
    helperText: React.ReactNode;
    strings: A.Strings;
    properties: A.PresentationProperty[];
    singularLabel: string;
    constraints: {
        max_items?: number | undefined;
    };
    errors: P.PresentationError[];
    addLabelTemplate?: string | undefined;
    addSiblingLabelTemplate?: string | undefined;
    defaultNewLabelTemplate?: string | undefined;
    renderForm: (itemValue: any, itemProperties: A.PresentationProperty[], itemPath: P.Path) => React.ReactNode;
} & import("./withSelectedPath").AdditionalProps, "disabled" | "error" | "label" | "path" | "onChange" | "value" | "helperText" | "strings" | "onInputStateChange" | "properties" | "singularLabel" | "constraints" | "errors" | "addLabelTemplate" | "addSiblingLabelTemplate" | "defaultNewLabelTemplate" | "renderForm"> & import("@material-ui/core").StyledComponentProps<"clip" | "contents" | "root" | "contentsOut">>;
export default _default;
