import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import Icon from '../../../../core/Icon';
import withStyles from '../../../../core/withStyles';
import styles from './RemoveButton.styles';
const RemoveButton = ({ classes, onClick, disabled, }) => (_jsx("button", Object.assign({ className: cn(classes.root, disabled && classes.disabled), onClick: onClick, disabled: disabled }, { children: _jsx(Icon, { icon: "trash" }, void 0) }), void 0));
export default withStyles(styles)(RemoveButton);
//# sourceMappingURL=RemoveButton.js.map