import FakeFile from './FakeFile';
export default class FakeFileList {
    constructor() {
        this.files = [];
    }
    add(filename) {
        this.files.push(new FakeFile(filename));
    }
    item(index) {
        return this.files[index];
    }
    get length() {
        return this.files.length;
    }
    [Symbol.iterator]() {
        return this.files.values();
    }
}
//# sourceMappingURL=FakeFileList.js.map