export declare const READY = "ready";
export declare type ScriptStatus = 'loading' | 'error' | typeof READY;
export declare type ScriptName = 'gapi' | 'google.accounts.oauth2';
export interface UseScriptProps {
    readonly url: string;
    readonly name: ScriptName;
}
export declare const useScript: ({ url, name }: UseScriptProps) => ScriptStatus;
