import * as React from 'react';
import * as A from '../../../../application/ApplicationTypes';
import * as P from '../../../PresentationTypes';
interface ImagePickerFieldInputProps {
    value?: string[];
    onChange?: (value: string[]) => any;
    onBlur?: React.FocusEventHandler<any>;
    imagesUrl?: string;
    parentValue: P.ApplicationVariables;
}
interface ImagePickerFieldInputState {
    images: A.Image[] | null;
    imagesError: string;
}
declare class ImagePickerFieldInput extends React.Component<ImagePickerFieldInputProps, ImagePickerFieldInputState> {
    static defaultProps: ImagePickerFieldInputProps;
    state: ImagePickerFieldInputState;
    fetchImages(): Promise<void>;
    componentDidMount(): void;
    render(): JSX.Element | null;
}
export default ImagePickerFieldInput;
