import * as React from 'react';
interface NumberInputProps {
    label: string;
    value: number;
    defaultValue: number;
    constraints: {
        min?: number;
        max?: number;
    };
    helperText: React.ReactNode;
    error?: boolean;
    disabled?: boolean;
    onChange: (value: number) => any;
}
declare const NumberInput: React.FC<NumberInputProps>;
export default NumberInput;
