import * as React from 'react';
import * as P from '../../../PresentationTypes';
interface PlaylistInputProps {
    label: string;
    value: string;
    path: P.Path;
    propertyTypeIndex: number;
    selectedPlaylistPath: P.Path;
    playlists: P.Playlist[];
    helperText: React.ReactNode;
    error?: boolean;
    disabled?: boolean;
    onChange: (value: string) => any;
    onSelect?: () => Promise<string>;
    onEdit?: (value: string) => void;
}
declare const PlaylistInput: React.FC<PlaylistInputProps>;
export default PlaylistInput;
