import * as React from 'react';
import * as P from '../../../PresentationTypes';
interface PlaylistInputProps {
    label: string;
    value: string;
    propertyTypeIndex: number;
    playlists: P.Playlist[];
    helperText: React.ReactNode;
    error?: boolean;
    disabled?: boolean;
    onChange: (value: string) => any;
    onEdit?: (value: string) => void;
    onCreate?: () => void;
}
export declare const NEW_PLAYLIST_VALUE = "new";
declare class PlaylistInput extends React.Component<PlaylistInputProps> {
    onChangeTimeout: number;
    componentDidMount(): void;
    componentDidUpdate(prevProps: PlaylistInputProps): void;
    checkDefaultValue(): void;
    isValueInPlaylists(): boolean;
    componentWillUnmount(): void;
    handleChange: (value: string) => void;
    render(): JSX.Element;
}
export default PlaylistInput;
