import * as React from 'react';
import * as A from '../../../../application/ApplicationTypes';
interface ToggleButtonGroupInputProps {
    label: string;
    value: string | string[];
    options?: A.SelectionOption[];
    helperText?: React.ReactNode;
    disabled?: boolean;
    onChange: (value: string | string[]) => any;
    strings: A.Strings;
    exclusive?: boolean;
}
declare class ToggleButtonGroupInput extends React.Component<ToggleButtonGroupInputProps> {
    static defaultProps: {
        options: A.SelectionOption[];
        exclusive: boolean;
    };
    render(): JSX.Element;
}
export default ToggleButtonGroupInput;
