import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import ToggleButtonGroup from '../../../../core/ToggleButtonGroup';
class ToggleButtonGroupInput extends React.Component {
    render() {
        const { label, value, helperText, disabled, onChange, options = [], exclusive, } = this.props;
        return (_jsx(ToggleButtonGroup, Object.assign({ label: label, value: value, disabled: disabled, helperText: helperText, onChange: onChange, exclusive: exclusive }, { children: options.map((opt, index) => (_jsx(ToggleButtonGroup.Button, Object.assign({ value: opt.value, disabled: disabled || opt.disabled }, { children: opt.thumbnailUrl ? _jsx("img", { src: opt.thumbnailUrl }, void 0) : opt.label }), index))) }), void 0));
    }
}
ToggleButtonGroupInput.defaultProps = {
    options: [],
    exclusive: false,
};
export default ToggleButtonGroupInput;
//# sourceMappingURL=ToggleButtonGroupInput.js.map