export default function getPropertyAtPath(properties, path) {
    let propertyAtPath;
    for (const pathPart of path) {
        if (typeof pathPart !== 'string' || !isNaN(Number(pathPart))) {
            // If pathPart is a number it's the index of an array. Skip over it to
            // get the name of the property.
            continue;
        }
        // @ts-ignore
        if (propertyAtPath && propertyAtPath.properties) {
            // @ts-ignore
            propertyAtPath = propertyAtPath.properties.find((prop) => prop.name === pathPart);
        }
        else {
            // @ts-ignore
            propertyAtPath = properties.find((prop) => prop.name === pathPart);
        }
    }
    // @ts-ignore
    return propertyAtPath;
}
//# sourceMappingURL=getPropertyAtPath.js.map