import * as React from 'react';
import { ApplicationVersion } from '../../application/ApplicationTypes';
import { PreviewMode } from '../PresentationTypes';
interface PresentationPreviewProps {
    previewResolution?: string;
    previewMode?: string;
    enableResolutionSelection?: boolean;
    is8kEnabled?: boolean;
    is4kEnabled?: boolean;
    appVersion?: ApplicationVersion;
    showBorder?: boolean;
    children?: React.ReactNode;
    onPreviewResolutionChange?: (previewResolution: string) => any;
    onPreviewModeChange?: (previewMode: PreviewMode) => any;
}
declare const PresentationPreview: ({ appVersion, previewMode, previewResolution, showBorder, children, onPreviewModeChange, enableResolutionSelection, is4kEnabled, is8kEnabled, onPreviewResolutionChange, }: PresentationPreviewProps) => JSX.Element;
export default PresentationPreview;
