import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
interface ScheduleContentPopoverProps extends WithStyles<typeof styles> {
    open: boolean;
    onClose: () => void;
}
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "root">;
export declare const ScheduleContentPopover: React.FC<ScheduleContentPopoverProps>;
declare const _default: React.ComponentType<Pick<ScheduleContentPopoverProps & {
    children?: React.ReactNode;
}, "open" | "children" | "onClose"> & import("@material-ui/core").StyledComponentProps<"root">> & {
    Item: React.ComponentType<Pick<import("./ScheduleContentPopoverItem").ScheduleContentPopoverItemProps & {
        children?: React.ReactNode;
    }, "icon" | "children" | "label" | "onClick" | "description"> & import("@material-ui/core").StyledComponentProps<"icon" | "root" | "label" | "description">>;
};
export default _default;
