import * as React from 'react';
import { IconOptions } from '../../core/Icon';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
export interface ScheduleContentPopoverItemProps extends WithStyles<typeof styles> {
    icon: IconOptions;
    label: string;
    description?: string;
    onClick: () => void;
}
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "icon" | "root" | "label" | "description">;
export declare const ScheduleContentPopoverItem: React.FC<ScheduleContentPopoverItemProps>;
declare const _default: React.ComponentType<Pick<ScheduleContentPopoverItemProps & {
    children?: React.ReactNode;
}, "icon" | "children" | "label" | "onClick" | "description"> & import("@material-ui/core").StyledComponentProps<"icon" | "root" | "label" | "description">>;
export default _default;
