import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
export interface SequenceScheduleMonthProps extends WithStyles<typeof styles> {
    date: string | Date;
    isPartiallyVisible?: boolean;
    visibleElementRef?: React.RefObject<HTMLDivElement>;
    setMonthVisibility?: (month: Date, isVisible: boolean) => void;
}
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "root" | "header">;
declare const _default: {
    new (props: (Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">) | Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">, context: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<SequenceScheduleMonthProps, "date" | "isPartiallyVisible" | "visibleElementRef" | "setMonthVisibility"> & import("@material-ui/core").StyledComponentProps<"root" | "header">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    contextType?: React.Context<any> | undefined;
};
export default _default;
