import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import useStyles from './Heading5.styles';
export const Heading5 = ({ className, overline, children, }) => {
    const classes = useStyles();
    return (_jsx("h5", Object.assign({ className: cn(classes.root, overline && classes.overline, className) }, { children: children }), void 0));
};
export default Heading5;
//# sourceMappingURL=Heading5.js.map