import { PreviewResolutions } from '../presentation/PresentationTypes';
export const round = (value, decimalPlaces) => {
    const p = Math.pow(10, decimalPlaces);
    return Math.round((value + Number.EPSILON) * p) / p;
};
export const applyScaling = (previewResolution) => {
    switch (previewResolution) {
        case PreviewResolutions.HD:
            return 6;
        case PreviewResolutions.UltraHD:
            return 18;
        case PreviewResolutions.EightK:
            return 36;
        default:
            return 9;
    }
};
//# sourceMappingURL=scaleUtils.js.map