import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import * as A from '../ApplicationTypes';
import styles from './ApplicationCard.styles';
interface ApplicationCardProps extends WithStyles<typeof styles> {
    application: A.Application;
    onClick?: () => void;
    auto?: boolean;
    testId?: string;
}
export declare const ApplicationCard: React.FC<ApplicationCardProps>;
declare const _default: React.ComponentType<Pick<ApplicationCardProps & {
    children?: React.ReactNode;
}, "auto" | "children" | "onClick" | "application" | "testId"> & import("@material-ui/core").StyledComponentProps<"auto" | "root" | "image" | "thumbnail" | "cta" | "website">>;
export default _default;
