import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './ActionBarSelectOption.styles';
export interface ActionBarSelectOptionProps extends WithStyles<typeof styles> {
    icon: React.ReactNode;
    label: string;
    selected?: boolean;
    disabled?: boolean;
    onClick?: (event: React.MouseEvent<HTMLLIElement>) => void;
}
export declare const ActionBarSelectOption: React.FC<ActionBarSelectOptionProps>;
declare const _default: React.ComponentType<Pick<ActionBarSelectOptionProps & {
    children?: React.ReactNode;
}, "disabled" | "selected" | "icon" | "children" | "label" | "onClick"> & import("@material-ui/core").StyledComponentProps<"selected" | "root">>;
export default _default;
