import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './Breadcrumb.styles';
export interface BreadcrumbProps extends WithStyles<typeof styles> {
    /** Called when the user clicks the back button */
    onBack: () => any;
}
export declare const Breadcrumb: React.FC<BreadcrumbProps>;
declare const _default: React.ComponentType<Pick<BreadcrumbProps & {
    children?: React.ReactNode;
}, "children" | "onBack"> & import("@material-ui/core").StyledComponentProps<"separator" | "root" | "backIcon">> & {
    Crumb: React.ComponentType<Pick<import("./BreadcrumbCrumb").BreadcrumbCrumbProps & {
        children?: React.ReactNode;
    }, "children" | "label" | "onClick" | "noShrink"> & import("@material-ui/core").StyledComponentProps<"root" | "noShrink">>;
};
export default _default;
