import { jsx as _jsx } from "react/jsx-runtime";
import { disabledArgTypes } from '../../helpers/storybookConstants';
import BreadcrumbDefault, { Breadcrumb } from './Breadcrumb';
export default {
    title: 'Components/Breadcrumb',
    component: Breadcrumb,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => (_jsx(BreadcrumbDefault, Object.assign({}, args), void 0));
export const OneCrumb = Template.bind({});
OneCrumb.args = {
    children: (_jsx(BreadcrumbDefault.Crumb, { label: "Crumb 1", onClick: () => console.log('Crumb 1') }, void 0)),
};
export const TwoCrumbs = Template.bind({});
TwoCrumbs.args = {
    children: [
        _jsx(BreadcrumbDefault.Crumb, { label: "Crumb 1", onClick: () => console.log('Crumb 1') }, "Crumb 1"),
        _jsx(BreadcrumbDefault.Crumb, { label: "Crumb 2", onClick: () => console.log('Crumb 2') }, "Crumb 2"),
    ],
};
export const MultipleCrumbs = Template.bind({});
MultipleCrumbs.args = {
    children: [
        _jsx(BreadcrumbDefault.Crumb, { label: "Crumb 1", onClick: () => console.log('Crumb 1') }, "Crumb 1"),
        _jsx(BreadcrumbDefault.Crumb, { label: "Crumb 2", onClick: () => console.log('Crumb 2') }, "Crumb 2"),
        _jsx(BreadcrumbDefault.Crumb, { label: "Crumb 3", onClick: () => console.log('Crumb 3') }, "Crumb 3"),
        _jsx(BreadcrumbDefault.Crumb, { label: "Crumb 4", onClick: () => console.log('Crumb 4') }, "Crumb 4"),
        _jsx(BreadcrumbDefault.Crumb, { label: "Crumb 5", onClick: () => console.log('Crumb 5') }, "Crumb 5"),
    ],
};
export const LongCrumb = Template.bind({});
LongCrumb.args = {
    children: [
        _jsx(BreadcrumbDefault.Crumb, { label: "Crumb 1", onClick: () => console.log('Crumb 1') }, "Crumb 1"),
        _jsx(BreadcrumbDefault.Crumb, { label: "SomeReallyLongCrumb", onClick: () => console.log('Crumb 2') }, "SomeReallyLongCrumb"),
        _jsx(BreadcrumbDefault.Crumb, { label: "Crumb 3", onClick: () => console.log('Crumb 3') }, "Crumb 3"),
    ],
};
//# sourceMappingURL=Breadcrumb.stories.js.map