import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './BreadcrumbCrumb.styles';
export interface BreadcrumbCrumbProps extends WithStyles<typeof styles> {
    /** Text of the breadcrumb */
    label?: React.ReactNode;
    /** Set to true to prevent the component from shrinking */
    noShrink?: boolean;
    /** Called when the user clicks the breadcrumb */
    onClick: () => any;
}
export declare const BreadcrumbCrumb: React.FC<BreadcrumbCrumbProps>;
declare const _default: React.ComponentType<Pick<BreadcrumbCrumbProps & {
    children?: React.ReactNode;
}, "children" | "label" | "onClick" | "noShrink"> & import("@material-ui/core").StyledComponentProps<"root" | "noShrink">>;
export default _default;
