import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import AlertIcon from '../AlertIcon';
import { makeStyles, createStyles } from '../../styles';
const Callout = ({ children }) => {
    const classes = useStyles();
    return (_jsxs("div", Object.assign({ className: classes.root }, { children: [_jsx(AlertIcon, { color: "default", className: classes.icon }, void 0), children] }), void 0));
};
const useStyles = makeStyles((theme) => createStyles({
    root: {
        flexShrink: 0,
        display: 'flex',
        padding: theme.spacing(1, 2),
        backgroundColor: theme.palette.warning.main,
        color: theme.palette.text.primary,
    },
    icon: {
        marginTop: 2,
        marginRight: theme.spacing(1),
    },
}));
export default Callout;
//# sourceMappingURL=Callout.js.map