import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './Card.styles';
export interface CardProps extends WithStyles<typeof styles> {
    fullWidth?: boolean;
    raised?: boolean;
    onClick?: (event: React.MouseEvent<any>) => any;
    children?: React.ReactNode;
}
export declare const Card: React.FC<CardProps>;
declare const _default: React.FC<Pick<CardProps & {
    children?: React.ReactNode;
}, "children" | "onClick" | "fullWidth" | "raised"> & import("@material-ui/core").StyledComponentProps<"fullWidth" | "card"> & import("../ThemeSelector").ThemeProps> & {
    Heading: React.ComponentType<Pick<import("./CardHeading").CardHeadingProps & {
        children?: React.ReactNode;
    }, "children"> & import("@material-ui/core").StyledComponentProps<"root">>;
    Content: React.ComponentType<Pick<import("./CardContent").CardContentProps & {
        children?: React.ReactNode;
    }, "children" | "onClick"> & import("@material-ui/core").StyledComponentProps<"root">>;
    Actions: React.ComponentType<Pick<import("./CardActions").CardActionsProps & {
        children?: React.ReactNode;
    }, "children" | "onClick"> & import("@material-ui/core").StyledComponentProps<"root">>;
};
export default _default;
