import * as React from 'react';
export interface CheckboxProps {
    checked: boolean;
    label?: React.ReactNode;
    indeterminate?: boolean;
    round?: boolean;
    disabled?: boolean;
    onChange?: (checked: boolean) => void;
    onClick?: React.MouseEventHandler;
    onCheckboxClick?: React.MouseEventHandler;
    className?: string;
    testId?: string;
}
export declare const Checkbox: React.FC<CheckboxProps>;
export default Checkbox;
