import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useState } from 'react';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import Checkbox from './Checkbox';
export default {
    title: 'Components/Checkbox',
    component: Checkbox,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [checked, setChecked] = useState(args.checked);
    useEffect(() => {
        setChecked(args.checked);
    }, [args.checked]);
    return _jsx(Checkbox, Object.assign({}, args, { checked: checked, onChange: setChecked }), void 0);
};
export const Default = Template.bind({});
Default.args = {};
export const Label = Template.bind({});
Label.args = {
    label: 'Basic checkbox',
};
export const Round = Template.bind({});
Round.args = {
    round: true,
};
export const Disabled = Template.bind({});
Disabled.args = {
    disabled: true,
};
//# sourceMappingURL=Checkbox.stories.js.map