import { jsx as _jsx } from "react/jsx-runtime";
import { disabledArgTypes } from '../../helpers/storybookConstants';
import CircularProgressDefault, { CircularProgress } from './CircularProgress';
export default {
    title: 'Components/CircularProgress',
    component: CircularProgress,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => (_jsx(CircularProgressDefault, Object.assign({}, args), void 0));
export const Default = Template.bind({});
Default.args = {};
export const Large = Template.bind({});
Large.args = {
    size: 50,
};
export const PredefinedValue = Template.bind({});
PredefinedValue.args = {
    value: 25,
    min: 0,
    max: 100,
};
//# sourceMappingURL=CircularProgress.stories.js.map