import * as React from 'react';
export interface DateFieldProps {
    value: string | null;
    onChange: (date: string) => void;
    onBlur?: React.FocusEventHandler<any>;
    label?: string;
    placeholder?: string;
    helperText?: React.ReactNode;
    error?: boolean;
    disabled?: boolean;
    maxDate?: string | Date;
    minDate?: string | Date;
    dateFormat?: string;
    testId?: string;
}
export declare const DateField: ({ value, onChange, onBlur, label, placeholder, helperText, error, disabled, minDate, maxDate, dateFormat, }: DateFieldProps) => JSX.Element;
export default DateField;
