import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './ExpansionPanel.styles';
export interface ExpansionPanelProps extends WithStyles<typeof styles> {
    raised?: boolean;
    disabled?: boolean;
    onChange?: (event: React.FormEvent<EventTarget>, expanded: boolean) => any;
    children: NonNullable<React.ReactNode>;
}
export declare const ExpansionPanel: React.FC<ExpansionPanelProps>;
declare const _default: React.FC<Pick<ExpansionPanelProps & {
    children?: React.ReactNode;
}, "disabled" | "children" | "onChange" | "raised"> & import("@material-ui/core").StyledComponentProps<"expansionPanel"> & import("../ThemeSelector").ThemeProps> & {
    Details: React.ComponentType<Pick<import("./ExpansionPanelDetails/ExpansionPanelDetails").ExpansionPanelDetailsProps & {
        children?: React.ReactNode;
    }, "children" | "onClick"> & import("@material-ui/core").StyledComponentProps<"root">> & {
        muiName: string;
    };
    Summary: React.ComponentType<Pick<import("./ExpansionPanelSummary/ExpansionPanelSummary").ExpansionPanelSummaryProps & {
        children?: React.ReactNode;
    }, "children" | "onClick" | "testId"> & import("@material-ui/core").StyledComponentProps<"root">> & {
        muiName: string;
    };
};
export default _default;
