import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { disabledArgTypes } from '../../helpers/storybookConstants';
import ExpansionPanelDefault, { ExpansionPanel } from './ExpansionPanel';
export default {
    title: 'Components/ExpansionPanel',
    component: ExpansionPanel,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => (_jsx(ExpansionPanelDefault, Object.assign({}, args), void 0));
export const OneItem = Template.bind({});
OneItem.args = {
    children: [
        _jsx(ExpansionPanelDefault.Summary, { children: "First Item" }, void 0),
        _jsx(ExpansionPanelDefault.Details, { children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse malesuada lacus ex, sit amet blandit leo lobortis eget." }, void 0),
    ],
};
export const Disabled = Template.bind({});
Disabled.args = {
    disabled: true,
    children: [
        _jsx(ExpansionPanelDefault.Summary, { children: "First Item" }, void 0),
        _jsx(ExpansionPanelDefault.Details, { children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse malesuada lacus ex, sit amet blandit leo lobortis eget." }, void 0),
    ],
};
export const Raised = Template.bind({});
Raised.args = {
    raised: true,
    children: [
        _jsx(ExpansionPanelDefault.Summary, { children: "First Item" }, void 0),
        _jsx(ExpansionPanelDefault.Details, { children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse malesuada lacus ex, sit amet blandit leo lobortis eget." }, void 0),
    ],
};
export const ManyItems = (args) => (_jsxs(_Fragment, { children: [_jsxs(ExpansionPanelDefault, Object.assign({}, args, { children: [_jsx(ExpansionPanelDefault.Summary, { children: "First Item" }, void 0), _jsx(ExpansionPanelDefault.Details, { children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse malesuada lacus ex, sit amet blandit leo lobortis eget." }, void 0)] }), void 0), _jsxs(ExpansionPanelDefault, Object.assign({}, args, { children: [_jsx(ExpansionPanelDefault.Summary, { children: "Second Item" }, void 0), _jsx(ExpansionPanelDefault.Details, { children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse malesuada lacus ex, sit amet blandit leo lobortis eget." }, void 0)] }), void 0), _jsxs(ExpansionPanelDefault, Object.assign({}, args, { disabled: true }, { children: [_jsx(ExpansionPanelDefault.Summary, { children: "Third Item" }, void 0), _jsx(ExpansionPanelDefault.Details, { children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse malesuada lacus ex, sit amet blandit leo lobortis eget." }, void 0)] }), void 0)] }, void 0));
//# sourceMappingURL=ExpansionPanel.stories.js.map