var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import MUIExpansionPanelSummary from '@material-ui/core/ExpansionPanelSummary';
import { testAttr } from '../../../helpers';
import Icon from '../../Icon';
import withStyles from '../../withStyles';
import styles from './ExpansionPanelSummary.styles';
export const ExpansionPanelSummary = (_a) => {
    var { children, onClick, testId } = _a, props = __rest(_a, ["children", "onClick", "testId"]);
    return (_jsx(MUIExpansionPanelSummary, Object.assign({ onClick: onClick, expandIcon: _jsx(Icon, { icon: "chevronDown" }, void 0) }, props, testAttr(testId), { children: children }), void 0));
};
// muiName tag is used by Material UI to recognise child components
// https://material-ui.com/guides/composition/
export default Object.assign(withStyles(styles)(ExpansionPanelSummary), {
    muiName: 'ExpansionPanelSummary',
});
//# sourceMappingURL=ExpansionPanelSummary.js.map