import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './ImagePickerFieldOption.styles';
export interface ImagePickerFieldOptionProps extends WithStyles<typeof styles> {
    value: string;
    url: string;
    checked?: boolean;
    onClick?: () => any;
}
interface ImagePickerFieldOptionState {
    isHover: boolean;
}
export declare class ImagePickerFieldOption extends React.Component<ImagePickerFieldOptionProps, ImagePickerFieldOptionState> {
    static defaultProps: {
        checked: boolean;
    };
    state: {
        isHover: boolean;
    };
    handleMouseOver: () => void;
    handleMouseLeave: () => void;
    render(): JSX.Element;
}
declare const _default: React.FC<Pick<Pick<ImagePickerFieldOptionProps, "classes" | "onClick" | "url" | "value"> & Partial<Pick<ImagePickerFieldOptionProps, "checked">> & Partial<Pick<{
    checked: boolean;
}, never>>, "onClick" | "url" | "value" | "checked"> & import("@material-ui/core").StyledComponentProps<"overlay" | "root" | "image" | "clickable" | "inner" | "topLeft"> & import("../ThemeSelector").ThemeProps>;
export default _default;
