import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './InputHelperText.styles';
interface HelperTextProps extends WithStyles<typeof styles> {
    className?: string;
    error?: boolean;
    success?: boolean;
    disabled?: boolean;
    indent?: boolean;
}
declare const _default: React.ComponentType<Pick<HelperTextProps & {
    children?: React.ReactNode;
}, "disabled" | "error" | "className" | "children" | "indent" | "success"> & import("@material-ui/core").StyledComponentProps<"root" | "error" | "indent" | "success">>;
export default _default;
