import * as React from 'react';
import { WithStyles } from '../withStyles';
import styles from './MenuBack.styles';
export interface MenuBackProps extends WithStyles<typeof styles> {
    /** Set href to render  */
    href: string;
    /** Called when the menu item is clicked */
    onClick?: () => any;
}
export declare const MenuBack: React.FC<MenuBackProps>;
declare const _default: React.ComponentType<Pick<MenuBackProps & {
    children?: React.ReactNode;
}, "children" | "onClick" | "href"> & import("@material-ui/core").StyledComponentProps<"root">>;
export default _default;
