import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Box } from '@material-ui/core';
import { useEffect, useState } from 'react';
import { disabledArgTypes } from '../../helpers/storybookConstants';
import Button from '../Button';
import ModalDefault, { Modal } from './Modal';
export default {
    title: 'Components/Modal',
    component: Modal,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => {
    const [open, setOpen] = useState(args.open);
    useEffect(() => {
        setOpen(args.open);
    }, [args.open]);
    return (_jsxs(_Fragment, { children: [_jsx(Button, { label: "Open", onClick: () => setOpen(true) }, void 0), _jsx(ModalDefault, Object.assign({}, args, { open: open, onOverlayClick: () => setOpen(false) }, { children: _jsx(Box, Object.assign({ p: 3 }, { children: _jsx(Button, { color: "primary", label: "Close", onClick: () => setOpen(false) }, void 0) }), void 0) }), void 0)] }, void 0));
};
export const Default = Template.bind({});
Default.args = {};
//# sourceMappingURL=Modal.stories.js.map