import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { makeStyles, createStyles } from '../../styles';
import InputHelperText from '../InputHelperText';
import InputLabel from '../InputLabel';
import Input from '../Input';
const useStyles = makeStyles((_) => createStyles({
    root: {
        width: '100%',
    },
}));
export const NumberField = ({ label, value = null, min = undefined, max = undefined, error = false, disabled = false, helperText = '', onChange = () => {
    return;
}, onBlur = () => {
    return;
}, }) => {
    const classes = useStyles();
    return (_jsxs("div", Object.assign({ className: classes.root }, { children: [_jsx(InputLabel, Object.assign({ error: error, disabled: disabled }, { children: label }), void 0), _jsx(Input, { type: "number", value: value !== null ? String(value) : '', onBlur: onBlur, onChange: (v) => onChange(parseInt(v, 10)), disabled: disabled, error: error, min: min, max: max }, void 0), helperText && (_jsx(InputHelperText, Object.assign({ indent: true, error: error, disabled: disabled }, { children: helperText }), void 0))] }), void 0));
};
export default NumberField;
//# sourceMappingURL=NumberField.js.map