import { PaperProps as MUIPaperProps } from '@material-ui/core/Paper';
import * as React from 'react';
export interface PaperModalProps extends MUIPaperProps {
    className?: string;
    title?: string;
    titleIcon?: React.ReactNode;
    showClose?: boolean;
    open?: boolean;
    onClose?: () => void;
}
export declare const PaperModal: React.FC<PaperModalProps>;
declare const _default: React.FC<PaperModalProps & import("../ThemeSelector").ThemeProps> & {
    Header: ({ className, children, }: import("./PaperModalHeader").PaperModalHeaderProps) => JSX.Element;
    Body: ({ className, children, }: import("./PaperModalBody").PaperModalBodyProps) => JSX.Element;
    Footer: ({ className, children, }: import("./PaperModalFooter").PaperModalFooterProps) => JSX.Element;
};
export default _default;
