import { jsx as _jsx } from "react/jsx-runtime";
import * as ReactDOM from 'react-dom';
import { AppContext } from '../App';
export const PopoverPortal = ({ children }) => (_jsx(AppContext.Consumer, { children: ({ popoverRoot }) => {
        if (popoverRoot) {
            return ReactDOM.createPortal(children, popoverRoot);
        }
        return null;
    } }, void 0));
export default PopoverPortal;
//# sourceMappingURL=PopoverPortal.js.map