export declare type YPosition = 'top' | 'bottom';
export declare type XPosition = 'left' | 'right';
declare type TranslateMap = {
    [anchorY in YPosition]: {
        [anchorX in XPosition]: {
            [toY in YPosition]: {
                [toX in XPosition]: [number, number];
            };
        };
    };
};
declare const translations: TranslateMap;
export default translations;
