import * as React from 'react';
import { Theme } from '../../theme';
import { WithStyles } from '../withStyles';
export interface RadioGroupProps extends WithStyles<typeof styles> {
    value?: string;
    label?: string;
    inline?: boolean;
    onChange?: (value: string) => void;
    testId?: string;
}
export declare const RadioGroup: React.FC<RadioGroupProps>;
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "inline" | "label" | "group">;
declare const _default: React.ComponentType<Pick<RadioGroupProps & {
    children?: React.ReactNode;
}, "inline" | "children" | "label" | "onChange" | "value" | "testId"> & import("@material-ui/core").StyledComponentProps<"inline" | "label" | "group">> & {
    Option: React.ComponentType<Pick<import("./RadioGroupOption").OptionProps & {
        children?: React.ReactNode;
    }, "children" | "label" | "onChange" | "value" | "checked" | "testId" | "inputRef"> & import("@material-ui/core").StyledComponentProps<"label">>;
};
export default _default;
