import { jsx as _jsx } from "react/jsx-runtime";
import { disabledArgTypes } from '../../helpers/storybookConstants';
import SVGIconDefault, { SVGIcon } from './SVGIcon';
import SVGPAths from './svgs';
export default {
    title: 'Components/SVGIcon',
    component: SVGIcon,
    argTypes: Object.assign(Object.assign({}, disabledArgTypes), { icon: {
            options: Object.keys(SVGPAths),
            control: {
                type: 'select',
            },
        } }),
};
const Template = (args) => (_jsx(SVGIconDefault, Object.assign({}, args), void 0));
export const Default = Template.bind({});
Default.args = {
    icon: 'wifiFull',
};
//# sourceMappingURL=SVGIcon.stories.js.map