import MUISelect from '@material-ui/core/Select';
import * as React from 'react';
interface SelectProps {
    className?: string;
    classes?: React.ComponentProps<typeof MUISelect>['classes'];
    value?: string;
    disabled?: boolean;
    fullWidth?: boolean;
    /** The <option>s of the select */
    children: React.ReactNode;
    onBlur?: React.FocusEventHandler<any>;
    onChange?: (value: string) => void;
    onClose?: () => void;
    onFocus?: React.FocusEventHandler<any>;
    onOpen?: () => void;
    open?: boolean;
    testId?: string;
    native?: boolean;
    displayEmpty?: boolean;
    renderValue?: (value: any) => React.ReactNode;
}
declare const Select: React.FC<SelectProps>;
export default Select;
