import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import MUISwitch from '@material-ui/core/Switch';
import cn from 'classnames';
import { testAttr } from '../../helpers';
import InputLabel from '../InputLabel';
import withStyles from '../withStyles';
import styles from './Switch.styles';
export const Switch = ({ checked = false, label, disabled, onChange = () => { }, helperText, classes, testId, }) => (_jsxs("div", Object.assign({ className: classes.root }, { children: [_jsx(InputLabel, Object.assign({ disabled: disabled }, { children: label }), void 0), _jsxs("div", Object.assign({ className: classes.control }, { children: [_jsx("span", Object.assign({ className: classes.switchContainer }, { children: _jsx("span", Object.assign({ className: classes.switchInner }, { children: _jsx(MUISwitch, { checked: checked, disabled: disabled, onChange: (e) => onChange(e.target.checked), classes: {
                                root: classes.switchRoot,
                                switchBase: classes.switchBase,
                                checked: classes.checked,
                                thumb: classes.thumb,
                                track: classes.track,
                                disabled: classes.disabled,
                            }, focusVisibleClassName: classes.focusVisible, inputProps: Object.assign({}, testAttr(testId)) }, void 0) }), void 0) }), void 0), helperText && (_jsx("span", Object.assign({ className: cn(classes.helper, disabled && classes.helperDisabled) }, { children: helperText }), void 0))] }), void 0)] }), void 0));
export default withStyles(styles)(Switch);
//# sourceMappingURL=Switch.js.map