import * as React from 'react';
import { Theme } from '../../theme';
import { WithStyles } from '../withStyles';
export interface ToggleButtonGroupProps extends WithStyles<typeof styles> {
    onChange: (value: string | string[]) => void;
    value: string | string[];
    label?: string;
    disabled?: boolean;
    helperText?: React.ReactNode;
    exclusive?: boolean;
}
export declare const ToggleButtonGroup: React.FunctionComponent<ToggleButtonGroupProps>;
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "root" | "label">;
declare const _default: React.ComponentType<Pick<ToggleButtonGroupProps & {
    children?: React.ReactNode;
}, "disabled" | "children" | "label" | "onChange" | "value" | "helperText" | "exclusive"> & import("@material-ui/core").StyledComponentProps<"root" | "label">> & {
    Button: React.ComponentType<Pick<import("./ToggleButtonGroupButton").ToggleButtonGroupButtonProps & {
        children?: React.ReactNode;
    }, "disabled" | "icon" | "children" | "value"> & import("@material-ui/core").StyledComponentProps<"root">>;
};
export default _default;
