import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { IconOptions } from '../Icon/Icon';
export interface ToggleButtonGroupButtonProps extends WithStyles<typeof styles> {
    value: string;
    icon?: React.ReactNode | IconOptions;
    disabled?: boolean;
}
export declare const ToggleButtonGroupButton: React.FunctionComponent<ToggleButtonGroupButtonProps>;
declare const styles: () => import("@material-ui/styles").StyleRules<{}, "root">;
declare const _default: React.ComponentType<Pick<ToggleButtonGroupButtonProps & {
    children?: React.ReactNode;
}, "disabled" | "icon" | "children" | "value"> & import("@material-ui/core").StyledComponentProps<"root">>;
export default _default;
