import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
import * as D from '../DeviceTypes';
interface AffectedDevicesPopoverProps extends WithStyles<typeof styles> {
    devices: D.AffectedDevice[];
    open: boolean;
    onClose: () => void;
    testId?: string;
}
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "icon" | "warning">;
export declare const AffectedDevicesPopover: React.FC<AffectedDevicesPopoverProps>;
declare const _default: React.ComponentType<Pick<AffectedDevicesPopoverProps & {
    children?: React.ReactNode;
}, "open" | "children" | "testId" | "onClose" | "devices"> & import("@material-ui/core").StyledComponentProps<"icon" | "warning">>;
export default _default;
