import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
export interface DeviceListProps extends WithStyles<typeof styles> {
}
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "root">;
export declare const DeviceList: React.FC<DeviceListProps>;
declare const _default: React.FC<Pick<DeviceListProps & {
    children?: React.ReactNode;
}, "children"> & import("@material-ui/core").StyledComponentProps<"root"> & import("../../core/ThemeSelector").ThemeProps> & {
    Device: React.ComponentType<Pick<import("./DeviceListDevice").DeviceListDeviceProps & {
        children?: React.ReactNode;
    }, "children" | "onClick" | "thumbnail" | "signalStrength" | "isEthernet" | "isLTE" | "device" | "isOnline" | "onConnectivityWizard" | "onSettings" | "playlistsByOwner" | "currentUserProfileId" | "onCreatePlaylist" | "onEditPlaylist" | "onSelectPlaylist" | "needsPublish" | "disablePublish" | "onPublish"> & import("@material-ui/core").StyledComponentProps<"root" | "name" | "thumbnail" | "deviceInfo" | "deviceActions">>;
    AudioDevice: React.ComponentType<Pick<import("./DeviceListAudioDevice").DeviceListAudioDeviceProps & {
        children?: React.ReactNode;
    }, "children" | "onClick" | "signalStrength" | "isEthernet" | "isLTE" | "device" | "isOnline" | "onConnectivityWizard" | "onSettings"> & import("@material-ui/core").StyledComponentProps<"root" | "name" | "thumbnail" | "deviceInfo" | "deviceActions">>;
};
export default _default;
