import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
import * as D from '../DeviceTypes';
interface PlaylistSelectorProps extends WithStyles<typeof styles> {
    value: string;
    playlistsByOwner: D.PlaylistsByOwner;
    currentUserProfileId: string;
    onSelectPlaylist?: (playlistId: string) => void;
    onEditPlaylist?: (playlistId: string) => void;
    onCreatePlaylist?: () => void;
}
export declare const NEW_PLAYLIST_VALUE = "new";
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "root">;
declare const _default: React.ComponentType<Pick<PlaylistSelectorProps & {
    children?: React.ReactNode;
}, "children" | "value" | "playlistsByOwner" | "currentUserProfileId" | "onCreatePlaylist" | "onEditPlaylist" | "onSelectPlaylist"> & import("@material-ui/core").StyledComponentProps<"root">>;
export default _default;
