import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import * as P from '../../presentation/PresentationTypes';
import styles from './ScreenPreview.styles';
interface ScreenPreviewProps extends WithStyles<typeof styles> {
    name?: string;
    presentation?: P.Presentation;
}
export declare const ScreenPreview: React.FC<ScreenPreviewProps>;
declare const _default: React.ComponentType<Pick<ScreenPreviewProps & {
    children?: React.ReactNode;
}, "children" | "presentation" | "name"> & import("@material-ui/core").StyledComponentProps<"screen" | "root" | "footer" | "header" | "screenName" | "presentationName" | "applicationName" | "preview">>;
export default _default;
