import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import withStyles from '../../core/withStyles';
import { testAttr } from '../../helpers';
import styles from './ScreenPreview.styles';
export const ScreenPreview = ({ name, presentation, children, classes, }) => (_jsxs("div", Object.assign({ className: classes.root }, { children: [name && (_jsx("div", Object.assign({ className: classes.header }, { children: _jsx("h1", Object.assign({ className: classes.screenName }, { children: name }), void 0) }), void 0)), _jsx("div", Object.assign({ className: classes.preview }, { children: children }), void 0), presentation && (_jsx("div", Object.assign({ className: classes.footer }, { children: _jsxs(_Fragment, { children: [_jsx("div", Object.assign({ className: classes.presentationName }, testAttr('presentation-preview-presentation-name'), { children: presentation.name }), void 0), _jsx("div", Object.assign({ className: classes.applicationName }, testAttr('presentation-preview-application-name'), { children: presentation.applicationName }), void 0)] }, void 0) }), void 0))] }), void 0));
export default withStyles(styles)(ScreenPreview);
//# sourceMappingURL=ScreenPreview.js.map