import { jsx as _jsx } from "react/jsx-runtime";
import MUIFormHelperText from '@material-ui/core/FormHelperText';
import withStyles from '../../core/withStyles';
import styles from './FormHelperText.styles';
const FormHelperText = ({ error, disabled, children, classes, }) => (_jsx(MUIFormHelperText, Object.assign({ className: classes.root, classes: { error: classes.error }, error: error, disabled: disabled }, { children: children }), void 0));
export default withStyles(styles)(FormHelperText);
//# sourceMappingURL=FormHelperText.js.map