import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import styles from './Select.styles';
interface SelectProps extends WithStyles<typeof styles> {
    value?: string;
    disabled?: boolean;
    fullWidth?: boolean;
    /** The <option>s of the select */
    children: React.ReactNode;
    onChange?: (event: React.ChangeEvent<{
        name?: string | undefined;
        value: unknown;
    }>, child: React.ReactNode) => void;
    onBlur?: React.FocusEventHandler<any>;
    onFocus?: React.FocusEventHandler<any>;
    testId?: string;
    native: boolean;
}
declare const _default: React.ComponentType<Pick<SelectProps & {
    children?: React.ReactNode;
}, "disabled" | "children" | "onFocus" | "onBlur" | "onChange" | "value" | "testId" | "fullWidth" | "native"> & import("@material-ui/core").StyledComponentProps<"select">>;
export default _default;
