import { jsx as _jsx } from "react/jsx-runtime";
import MUISelect from '@material-ui/core/Select';
import withStyles from '../../core/withStyles';
import { testAttr } from '../../helpers';
import Input from '../Input';
import styles from './Select.styles';
const Select = ({ value, disabled = false, fullWidth = false, children, onChange, onBlur, onFocus, classes, testId, native, }) => (_jsx(MUISelect, Object.assign({ native: native, value: value, disabled: disabled, fullWidth: fullWidth, input: _jsx(Input, {}, void 0), onChange: onChange, onBlur: onBlur, onFocus: onFocus, classes: { select: classes.select }, inputProps: Object.assign({}, testAttr(testId)) }, { children: children }), void 0));
export default withStyles(styles)(Select);
//# sourceMappingURL=Select.js.map