import { jsx as _jsx } from "react/jsx-runtime";
import withStyles, { createStyles } from '../../core/withStyles';
const styles = (theme) => createStyles({
    root: {
        flex: 1,
        display: 'flex',
        flexDirection: 'column',
        padding: `${theme.spacing(4)}px ${theme.spacing(2)}px`,
        [theme.breakpoints.up('sm')]: {
            padding: theme.spacing(4),
            alignItems: 'center',
            justifyContent: 'center',
        },
    },
});
export const AddDeviceLayout = ({ classes, children, }) => _jsx("div", Object.assign({ className: classes.root }, { children: children }), void 0);
export default withStyles(styles)(AddDeviceLayout);
//# sourceMappingURL=AddDeviceLayout.js.map