import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import withStyles from '../../core/withStyles';
import styles from './OneThirdLayout.styles';
import OneThirdLayoutColumnLarge from './OneThirdLayoutColumnLarge';
import OneThirdLayoutColumnSmall from './OneThirdLayoutColumnSmall';
import OneThirdLayoutContext from './OneThirdLayoutContext';
export const OneThirdLayout = ({ className, collapseMode = 'collapseLargeColumn', children, classes, }) => {
    return (_jsx(OneThirdLayoutContext.Provider, Object.assign({ value: { collapseMode } }, { children: _jsx("div", Object.assign({ className: cn(classes.root, className) }, { children: children }), void 0) }), void 0));
};
export default Object.assign(withStyles(styles)(OneThirdLayout), {
    ColumnSmall: OneThirdLayoutColumnSmall,
    ColumnLarge: OneThirdLayoutColumnLarge,
});
//# sourceMappingURL=OneThirdLayout.js.map