import { createStyles } from '../../core/withStyles';
const styles = (theme) => createStyles({
    root: {
        display: 'flex',
        flexDirection: 'column',
        width: '100%',
        backgroundColor: theme.palette.background.default,
        color: theme.palette.text.primary,
        [theme.breakpoints.up('sm')]: {
            width: 390,
        },
    },
    border: {
        borderLeft: `1px solid ${theme.divider.secondary}`,
    },
});
export default styles;
//# sourceMappingURL=OneThirdLayoutColumnSmall.styles.js.map