import { jsx as _jsx } from "react/jsx-runtime";
import { disabledArgTypes } from '../../helpers/storybookConstants';
import RowDefault, { Row } from './Row';
export default {
    title: 'Components/Row',
    component: Row,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (args) => _jsx(RowDefault, Object.assign({}, args), void 0);
export const Default = Template.bind({});
Default.args = {
    children: [
        _jsx("span", { children: "r" }, 1),
        _jsx("span", { children: "o" }, 2),
        _jsx("span", { children: "w" }, 3),
    ],
};
export const Centered = Template.bind({});
Centered.args = {
    center: true,
    children: [
        _jsx("div", { style: { backgroundColor: 'black', height: 100, width: 100 } }, 1),
        _jsx("div", { style: { backgroundColor: 'black', height: 200, width: 100 } }, 2),
        _jsx("div", { style: { backgroundColor: 'black', height: 100, width: 100 } }, 3),
    ],
};
//# sourceMappingURL=Row.stories.js.map