import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
declare const styles: (_: Theme) => import("@material-ui/styles").StyleRules<{}, "scroll" | "root">;
declare type RenderFunction = (ref: React.RefObject<HTMLDivElement>) => React.ReactNode;
export interface ScrollableProps extends WithStyles<typeof styles> {
    className?: string;
    shadowClassName?: string;
    buffer?: number;
    children?: React.ReactNode | RenderFunction;
}
export declare const Scrollable: React.FunctionComponent<ScrollableProps>;
declare const _default: React.ComponentType<Pick<ScrollableProps & {
    children?: React.ReactNode;
}, "className" | "children" | "shadowClassName" | "buffer"> & import("@material-ui/core").StyledComponentProps<"scroll" | "root">> & {
    VisibilitySensor: React.FunctionComponent<import("./ScrollableVisibilitySensor").ScrollableVisibilitySensorProps>;
};
export default _default;
