import { createStyles } from '../../core/withStyles';
const styles = (theme) => createStyles({
    root: {
        display: 'block',
        paddingTop: theme.spacing(2),
        paddingBottom: theme.spacing(2),
        [theme.breakpoints.up('sm')]: {
            paddingLeft: theme.spacing(2),
            paddingRight: theme.spacing(2),
        },
    },
    inline: {
        display: 'inline-block',
    },
});
export default styles;
//# sourceMappingURL=SpaceAround.styles.js.map