import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { withTheme } from '@material-ui/core/styles';
import ThemeSelector from '../../core/ThemeSelector';
import withStyles from '../../core/withStyles';
import OneThirdLayout from '../../layout/OneThirdLayout';
import styles from './LoginScreen.styles';
import LoginScreenContent from './LoginScreenContent';
import LoginScreenHeader from './LoginScreenHeader';
export const LoginScreen = ({ theme, classes, children, }) => (_jsxs(OneThirdLayout, { children: [_jsx(OneThirdLayout.ColumnSmall, Object.assign({ className: classes.contents }, { children: children }), void 0), _jsx(ThemeSelector, Object.assign({ color: "dark" }, { children: _jsx(OneThirdLayout.ColumnLarge, { children: _jsx("div", Object.assign({ className: classes.assetContainer }, { children: _jsx("img", { className: classes.asset, src: theme.loginAsset.default }, void 0) }), void 0) }, void 0) }), void 0)] }, void 0));
export default Object.assign(withStyles(styles)(withTheme(LoginScreen)), {
    Header: LoginScreenHeader,
    Content: LoginScreenContent,
});
//# sourceMappingURL=LoginScreen.js.map