var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import * as React from 'react';
import withStyles from '../../core/withStyles';
import PlaylistThumbnail from '../PlaylistThumbnail';
import styles from './PlaylistCard.styles';
export const PlaylistCard = (_a, ref) => {
    var { classes, playlist, noShrink } = _a, thumbnailProps = __rest(_a, ["classes", "playlist", "noShrink"]);
    return (_jsxs("div", Object.assign({ className: cn(classes.root, noShrink && classes.noShrink) }, { children: [_jsx("div", Object.assign({ ref: ref, className: classes.thumbnail }, { children: _jsx(PlaylistThumbnail, Object.assign({}, thumbnailProps), void 0) }), void 0), _jsx("div", Object.assign({ className: classes.name }, { children: playlist.name }), void 0)] }), void 0));
};
// @ts-ignore
export default withStyles(styles)(React.forwardRef(PlaylistCard));
//# sourceMappingURL=PlaylistCard.js.map