import * as React from 'react';
import * as T from '../../../PresentationTypes';
export interface InjectedProps {
    selectedPath: T.Path;
    prevSelectedPath: T.Path;
    setSelectedPath: (path: T.Path) => void;
}
export interface AdditionalProps {
    onInputStateChange: (state: {
        [key: string]: any;
    }) => void;
}
declare type Omit<O, K> = Pick<O, Exclude<keyof O, K>>;
declare type Subtract<O, K> = Omit<O, keyof K>;
export default function withSelectedPath<OriginalProps extends {}>(Component: React.ComponentType<OriginalProps & InjectedProps>): React.ComponentClass<Subtract<OriginalProps, InjectedProps> & AdditionalProps>;
export {};
