import * as React from 'react';
import * as T from '../../../PresentationTypes';
interface FileInputProps {
    label: string;
    value: T.FileUpload;
    fileType?: string;
    constraints?: {
        'content-types'?: string[];
    };
    helperText: React.ReactNode;
    error?: boolean;
    disabled?: boolean;
    onChange: (value: T.FileUpload | null, file: File | null) => any;
    createObjectURL: (blob: Blob) => Promise<string>;
}
declare const FileInput: React.FC<FileInputProps>;
export default FileInput;
