/// <reference types="react" />
import { GoogleFilePickerProps } from './useGoogleFilePicker';
import { Theme } from '../../../../theme/createTheme';
export interface GoogleFilePickerInputProps {
    picker: GoogleFilePickerProps;
    label?: string;
    helperText?: React.ReactNode;
    error?: boolean;
    theme?: (outerTheme: Theme) => Theme;
    disabled?: boolean;
    icon?: React.ReactNode;
}
declare const _default: import("react").ComponentType<Pick<GoogleFilePickerInputProps & {
    classes: import("@material-ui/styles").ClassNameMap<"disabled" | "default" | "label" | "itemsSelected">;
}, keyof GoogleFilePickerInputProps> & import("@material-ui/core/styles").StyledComponentProps<"disabled" | "default" | "label" | "itemsSelected">>;
export default _default;
