import { jsx as _jsx } from "react/jsx-runtime";
import { action } from '@storybook/addon-actions';
import { disabledArgTypes } from '../../../../helpers/storybookConstants';
import GoogleFilePickerInput from './GoogleFilePickerInput';
export default {
    title: 'Presentation/Inputs/GoogleFilePickerInput',
    component: GoogleFilePickerInput,
    argTypes: Object.assign({}, disabledArgTypes),
};
const Template = (props) => {
    return _jsx(GoogleFilePickerInput, Object.assign({}, props), void 0);
};
const defaultProps = {
    picker: {
        title: 'Select a folder',
        views: [
            {
                viewId: 'docs-images-and-videos',
                setIncludeFolders: true,
            },
        ],
        developerKey: '',
        accessToken: '',
        accessTokenUrl: '',
        presentationValues: {},
        onChangeCallback: (selection) => {
            action('onChange')(selection);
        },
    },
};
export const Default = Template.bind({});
Default.args = defaultProps;
//# sourceMappingURL=GoogleFilePickerInput.stories.js.map