export declare type PresentationValuesType = {
    [key: string]: string | number | boolean;
};
export declare type InterpolationProps = {
    url: string;
    presentationValues: PresentationValuesType;
};
export declare function getInterpolatedUrl(props: InterpolationProps): string | undefined;
export declare function allPropValuesPresent({ urlPropNames, presentationValues, }: {
    urlPropNames: string[];
    presentationValues: PresentationValuesType;
}): boolean;
export declare function getUrlPropsNames(url: string): string[];
