import * as React from 'react';
interface EmbeddedFrameProps {
    src: string;
    onMessage: (type: string, payload: object) => void;
}
interface EmbeddedFrameState {
}
interface EmbeddedFrameMessageEvent extends MessageEvent {
    data: {
        type: string;
        payload: object;
        namespace: string;
    };
}
declare class EmbeddedFrame extends React.Component<EmbeddedFrameProps, EmbeddedFrameState> {
    static defaultProps: {};
    componentDidMount(): void;
    componentWillUnmount(): void;
    isValidMessage: (event: EmbeddedFrameMessageEvent) => boolean;
    receiveMessage: (event: EmbeddedFrameMessageEvent) => void;
    render(): JSX.Element;
}
export default EmbeddedFrame;
