import * as React from 'react';
import * as P from '../../../PresentationTypes';
interface ModalButtonProps {
    label: string;
    sourceUrl: string;
    parentValue?: P.ApplicationVariables;
    helperText?: React.ReactNode;
    backgroundColor?: string;
    hoveredBackgroundColor?: string;
    textColor?: string;
    disabled?: boolean;
    onChange?: (value?: object) => any;
}
interface ModalButtonState {
    open: boolean;
}
declare class ModalButton extends React.Component<ModalButtonProps, ModalButtonState> {
    static defaultProps: ModalButtonProps;
    state: {
        open: boolean;
    };
    close: () => void;
    handleMessage: (type: string, payload: object) => void;
    handleOnClick: () => void;
    handleOverlayClick: () => void;
    render(): JSX.Element;
}
export default ModalButton;
