/// <reference types="react" />
import { Path } from '../../../PresentationTypes';
export interface OAuthInput2Props {
    path: Path;
    provider: string;
    value?: string;
    disabled?: boolean;
    error?: boolean;
    iconUrl?: string;
    authUrl: string;
    verifyUrl: string;
    verifyQsParam?: string;
    logoutUrl: string;
    logoutQsParam?: string;
    backgroundColor?: string;
    foregroundColor?: string;
    helperText?: React.ReactNode;
    onChange: (value: string | null) => void;
}
declare const OAuthInput2: ({ path, provider, value, disabled, error, iconUrl, authUrl, verifyUrl, verifyQsParam, logoutUrl, logoutQsParam, backgroundColor, foregroundColor, helperText, onChange, }: OAuthInput2Props) => JSX.Element;
export default OAuthInput2;
