var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import Icon from '../../../../core/Icon';
import withStyles, { createStyles, } from '../../../../core/withStyles';
import createTheme from '../../../../theme/createTheme';
import OAuthInput from '../OAuthInput';
const styles = createStyles({
    icon: {
        color: '#ffffff',
        height: '100%',
        width: 36,
        display: 'flex',
        alignItems: 'center',
        '& > svg': {
            height: 36,
            width: 36,
        },
    },
});
const OneDriveAuthInput = (_a) => {
    var { classes } = _a, props = __rest(_a, ["classes"]);
    return (_jsx(OAuthInput, Object.assign({}, props, { theme: (outerTheme) => createTheme(Object.assign(Object.assign({}, outerTheme), { palette: Object.assign(Object.assign({}, outerTheme.palette), { primary: {
                    main: '#0947AA',
                    dark: '#073988',
                    contrastText: '#ffffff',
                } }), button: Object.assign(Object.assign({}, outerTheme.button), { background: '#7E9ED0', foregroundMuted: '#ffffff' }) })), label: "Connect to OneDrive", icon: _jsx("div", Object.assign({ className: classes.icon }, { children: _jsx(Icon, { icon: "onedrive" }, void 0) }), void 0) }), void 0));
};
export default withStyles(styles)(OneDriveAuthInput);
//# sourceMappingURL=OneDriveAuthInput.js.map