import * as React from 'react';
import * as P from '../../../PresentationTypes';
interface SoundZoneProps {
    label: string;
    value: string;
    soundZones: P.SoundZone[];
    helperText: React.ReactNode;
    error?: boolean;
    disabled?: boolean;
    onChange: (value: string) => any;
}
declare class SoundZone extends React.Component<SoundZoneProps> {
    onChangeTimeout: number;
    componentDidMount(): void;
    componentDidUpdate(prevProps: SoundZoneProps): void;
    checkDefaultValue(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export default SoundZone;
