import { jsx as _jsx } from "react/jsx-runtime";
import Popover from '../../core/Popover';
import withStyles, { createStyles } from '../../core/withStyles';
import ScheduleContentPopoverItem from './ScheduleContentPopoverItem';
const styles = (theme) => createStyles({
    root: {
        width: theme.spacing(44),
        display: 'flex',
        flexWrap: 'wrap',
    },
});
export const ScheduleContentPopover = ({ open, onClose, children, classes, }) => (_jsx(Popover, Object.assign({ anchor: ['bottom', 'right'], to: ['top', 'right'], open: open, onOverlayClick: onClose, width: "auto", height: "auto", color: "light" }, { children: _jsx("div", Object.assign({ className: classes.root }, { children: children }), void 0) }), void 0));
export default Object.assign(withStyles(styles)(ScheduleContentPopover), {
    Item: ScheduleContentPopoverItem,
});
//# sourceMappingURL=ScheduleContentPopover.js.map