import { jsx as _jsx } from "react/jsx-runtime";
import withStyles, { createStyles } from '../../core/withStyles';
import OccurrenceListItem from './OccurrenceListItem';
export const OccurrenceList = ({ children, classes, }) => {
    return _jsx("div", Object.assign({ className: classes.root }, { children: children }), void 0);
};
const styles = () => createStyles({
    root: {
        flex: 1,
    },
});
export default Object.assign(withStyles(styles)(OccurrenceList), {
    Item: OccurrenceListItem,
});
//# sourceMappingURL=OccurrenceList.js.map