import * as React from 'react';
import { WithStyles } from '../../core/withStyles';
import { Theme } from '../../theme';
export interface OccurrenceListItemProps extends WithStyles<typeof styles> {
    name: string;
    badge?: React.ReactNode;
    start: Date;
    end: Date;
    overridden?: boolean;
    locked?: boolean;
    recurring?: boolean;
    onClick?: React.ReactEventHandler;
    testId?: string;
}
export declare const OccurrenceListItem: React.FunctionComponent<OccurrenceListItemProps>;
declare const styles: (theme: Theme) => import("@material-ui/styles").StyleRules<{}, "content" | "repeat" | "root" | "clickable" | "lock" | "duration" | "overridden" | "badges" | "badge">;
declare const _default: React.ComponentType<Pick<OccurrenceListItemProps & {
    children?: React.ReactNode;
}, "end" | "start" | "children" | "onClick" | "name" | "testId" | "overridden" | "badge" | "locked" | "recurring"> & import("@material-ui/core").StyledComponentProps<"content" | "repeat" | "root" | "clickable" | "lock" | "duration" | "overridden" | "badges" | "badge">>;
export default _default;
