import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
const SequenceScheduleContext = React.createContext({
    setMonthVisibility: () => undefined,
});
export const withSequenceScheduleContext = (ComponentType) => class extends React.Component {
    render() {
        return (_jsx(SequenceScheduleContext.Consumer, { children: ({ setMonthVisibility }) => (_jsx(ComponentType, Object.assign({ setMonthVisibility: setMonthVisibility }, this.props), void 0)) }, void 0));
    }
};
export default SequenceScheduleContext;
//# sourceMappingURL=SequenceScheduleContext.js.map