import { jsx as _jsx } from "react/jsx-runtime";
import cn from 'classnames';
import useStyles from './Title.styles';
export const Title = ({ className, children, }) => {
    const classes = useStyles();
    return _jsx("h1", Object.assign({ className: cn(classes.root, className) }, { children: children }), void 0);
};
export default Title;
//# sourceMappingURL=Title.js.map